Subject: Ticket Assigned - Article Feedback - I have other questions about returns, refunds and cancellations. Who can I call?
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sat, 13 Nov 2021 16:04:40 +0000

Hi Sohaib Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - I have other questions about returns, refunds and cancellations. Who can I call? Feedback for:  I have other questions about returns, refunds and cancellations. Who can I call? I submitted a return request for order #2104264392 aweek ago and no response from you and the item didn't picked up yet. 
I'm so dissatisfied https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3257729